package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAAccessProfile.Create(ctx, operations.C1APICrossAppAccessV1XAAAccessProfileServiceCreateRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAAccessProfileServiceCreateResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/access_profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"displayName": "<string>",
"xaaResourceServerId": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/access_profiles"
payload = {
"description": "<string>",
"displayName": "<string>",
"xaaResourceServerId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
displayName: '<string>',
xaaResourceServerId: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/access_profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accessProfile": {
"appEntitlementId": "<string>",
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"scopeCount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"xaaResourceServerId": "<string>"
}
}Create
Create an access profile under a resource server. The backend also provisions a backing AppEntitlement that users request to be granted the profile’s scopes.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAAccessProfile.Create(ctx, operations.C1APICrossAppAccessV1XAAAccessProfileServiceCreateRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAAccessProfileServiceCreateResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The application that owns the resource server.
Body
Response
XAAAccessProfileServiceCreateResponse returns the created access profile.
XAAAccessProfileServiceCreateResponse returns the created access profile.
XAAAccessProfile is a requestable bundle of scopes for one resource server.
Show child attributes
Show child attributes
Was this page helpful?